
include windows.inc
include user32.inc
include kernel32.inc
include gdi32.inc
include hid.inc
include fpu.inc
include masm32.inc
include setupapi.inc
include masm32.inc

includelib user32.lib
includelib kernel32.lib
includelib gdi32.lib
includelib hid.lib
includelib fpu.lib
includelib masm32.lib
includelib setupapi.lib
includelib masm32.lib


OpenHID 	PROTO :DWORD
CloseHID 	PROTO
UniToAscii 	PROTO :DWORD, :DWORD


.data
ok_msg					db "OK",0

RELAYCMD0				db 0,'ETek',0,0 ; Write Relay 1 De-Energized
						db 32 dup(0)
RELAYCMD1				db 0,'ETek',1,0 ; Write Relay 1 Energized
						db 32 dup(0)
RELAYCMD2				db 0,'ETek',2,0 ; Write Relay 2 De-Energized
						db 32 dup(0)
RELAYCMD3				db 0,'ETek',3,0 ; Write Relay 2 Energized
						db 32 dup(0)
RELAYCMD4				db 0,'ETek',4,0 ; Write Relay 3 De-Energized
						db 32 dup(0)
RELAYCMD5				db 0,'ETek',5,0 ; Write Relay 3 Energized
						db 32 dup(0)
RELAYCMD6				db 0,'ETek',6,0 ; Write Relay 4 De-Energized
						db 32 dup(0)
RELAYCMD7				db 0,'ETek',7,0 ; Write Relay 4 Energized
						db 32 dup(0)
RELAYCMD8				db 0,'ETek',8,0 ; Write Relay 5 De-Energized
						db 32 dup(0)
RELAYCMD9				db 0,'ETek',9,0 ; Write Relay 5 Energized
						db 32 dup(0)
READCMD10				db 0,'ETek',10,0 ; Read Relay Status
						db 32 dup(0)
RELAYCMD11				db 0,'ETek',11,0 ; Write Relay LED options
						db 32 dup(0)
RELAYCMD12				db 0,'ETek',12,0 ; Write Relay LED options
						db 32 dup(0)

pipe				db "|",0

work_buffer			db 1024 dup(0)
tempbuff			db 128 dup(0)
ParseBuff			db 128 dup(0)
scratch_buff		db 128 dup(0)

found_device_flag	dd 0

HIDGuid					GUID <>
InfoClassGuid			GUID <>

SP_DEVICE_INTERFACE_DATA STRUCT
cbSize			DD	?	
InferfaceClassGuid	GUID <>
Flags			DD	?
Reserved		DD	?
SP_DEVICE_INTERFACE_DATA ENDS

SP_DEVICE_INTERFACE_DETAIL_DATA STRUCT
cbSize			DD ?	
string			DD 07Ch dup (0)
SP_DEVICE_INTERFACE_DETAIL_DATA ENDS

HIDD_ATTRIBUTES STRUCT
attSize			DD	  	?;ULONG
VendorID		DW		?;USHORT
ProductID		DW 		?;USHORT
VersionNumber	DW 		?;USHORT
HIDD_ATTRIBUTES ENDS

DevIntData		SP_DEVICE_INTERFACE_DATA <>
devdetailbuff	SP_DEVICE_INTERFACE_DETAIL_DATA <>
Attributes		HIDD_ATTRIBUTES <>
StringBuff		DD 080h dup (0)


.data?
hInstance		DD ?
hHIDDevice		DD ?
index			DD ?
numByte			DD ?
hDevInfoSet		DD ?
HIDpntr			DD ?
attlength		DD ?
myvar			DD ?
myversion		DD ?





